Account
Get Profile
Get your account profile
GET
/
api
/
v1
/
account
/
profile
Get Profile
curl --request GET \
--url https://api.example.com/api/v1/account/profileimport requests
url = "https://api.example.com/api/v1/account/profile"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/account/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"email": "<string>",
"tron_address": "<string>",
"balance_trx": "<string>",
"totp_enabled": true,
"created_at": "<string>"
}Get Profile
Returns your account profile information.Response
number
User ID
string
Email address (if set)
string
Linked TRON address (if set)
string
Account balance in TRX
boolean
Whether 2FA is enabled
string
Account creation timestamp
Example
curl https://api.tronrental.com/v1/account/profile \
-H "X-API-Key: your_api_key"
Response
{
"id": 1,
"email": "user@example.com",
"tron_address": "TYourAddress...",
"balance_trx": "150.50",
"totp_enabled": false,
"created_at": "2026-01-15T10:00:00Z"
}
⌘I
Get Profile
